// termino.h - Declaración de la clase CTermino
//
#if !defined( _TERMINO_H_ )
#define _TERMINO_H_

/////////////////////////////////////////////////////////////////
// Clase para manipular un término de un polinomio cualquiera.
class CTermino
{
  friend class CPolinomio;
	private: 
	  float Coeficiente;
    int Exponente;

	public:
	  CTermino(float coef = 0.0F, int exp = 1);
	  void AsignarCoeficiente(float);
	  float ObtenerCoeficiente(); 
	  void AsignarExponente(int);
	  int ObtenerExponente();
    void VisualizarTermino(void);
  private:
    bool operator==(CTermino&);
    bool operator<(CTermino&);
    bool operator>(CTermino&);
};                        
//////////////////////////////////////////////////////////////////

#endif // _TERMINO_H_

